Monday, March 21, 2011

[SOLVED]Requires installation of untrusted packages "The action would require the installation of packages from not authenticated sources."

Requires installation of untrusted packages
"The action would require the installation of packages from not authenticated sources."

These words made me tensed for three more days because this message is often appeared in your software center or with your synaptic. I thought I have too reintall the os to resolve this. but this problem can be solved by  executing a single line command in shell.

go to applications->accesories->terminal


and type the following line and press enter to solve this problem.

 sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 40976EAF437D05B5

this will replace the broken keys of your authentication part and opens some repositories for getting software